//+------------------------------------------------------------------+
//|                                               UniMagicNumber.mqh |
//|                                           Copyright 2017, Progid |
//|                             https://www.mql5.com/ru/users/progid |
//+------------------------------------------------------------------+
#property library
#property copyright "Copyright 2017, Progid"
#property link      "https://www.mql5.com/ru/users/progid"
#property version   "1.00"

//+------------------------------------------------------------------+
//| 
//| This lib helps to get unique magic number, using:
//| 1) Symbol name;
//| 2) TF;
//| 3) Prefix number (need to that you could get several unique magic numbers for the same chart);
//| 
//| The magic number has a size of 64 bits, type is ulong.
//| [64 bits] = [Symbol name(48 bits, first 8 characters)] + [tf(5 bits)] + [prefix number(11 bits, can be from 0 to 2047)].
//| 
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| Include files
//+------------------------------------------------------------------+
#include <cUniMagicNumber.mqh>

//+------------------------------------------------------------------+ 
//| Symbol(first 8 characters) + TF     + Prefix[0,2047]
//| 48 bits                      5 bits   11 bits
//+------------------------------------------------------------------+
ulong GetMagicNumber (ushort prefix,//prefix number [0,2047]
                      string symbol,//symbol name
                      ENUM_TIMEFRAMES tf)//timeframe
                      export
{
   return cUniMagicNumber::GetMagicNumber (prefix, symbol, tf);
}